﻿/* === DARK MODE === */
body.dark-mode {
	background-color: #1e1e1e;
	color: #f0f0f0;
}

	body.dark-mode .header {
		color: #d0d8ff;
	}

	body.dark-mode .nav-bar,
	body.dark-mode .nav-bar-top,
	body.dark-mode .menu {
		background-color: #5a5a5a;
		box-shadow: none;
		border: 0px;
	}

	body.dark-mode .submenu,
	body.dark-mode .auth-dropdown {
		background-color: #8a8a8a;
		box-shadow: none;
		border: 0px;
	}

		body.dark-mode .menu-item > a,
		body.dark-mode .submenu a,
		body.dark-mode .auth-dropdown a {
			color: #f0f0f0;
		}

			body.dark-mode .menu-item > a:hover,
			body.dark-mode .submenu a:hover,
			body.dark-mode .auth-dropdown a:hover {
				background-color: #4a4a4a;
			}

	body.dark-mode .menu-item.active > a {
		background-color: #3a3a3a;
		color: #d0d8ff;
	}

	body.dark-mode .darkmode-switch button:hover,
	body.dark-mode .user-icon:hover {
		background-color: #3a3a3a;
	}

	body.dark-mode .language-switch .lang-select {
		background-color: #5a5a5a;
		color: #f0f0f0;
		border: 1px solid #555;
	}

	/* === DARK MODE: hamburger ikona === */
	body.dark-mode .hamburger {
		color: #f0f0f0;
	}

	/* === DARK MODE: text tlačítka darkModeBtnPc === */
	body.dark-mode #darkModeBtnPc {
		color: #f0f0f0;
	}

		body.dark-mode #darkModeBtnPc:hover {
			background-color: #3a3a3a;
			color: #ffffff;
		}

	body.dark-mode #darkModeBtnM {
		color: #f0f0f0;
	}

		body.dark-mode #darkModeBtnM:hover {
			background-color: #3a3a3a;
		}